All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Pages
PSmartNotifieeRegistrar Class Reference

Implements a function similar to the PNotifier, but uses an "id" to link the caller and callee rather than using a pointer. More...

`#include <notifier_ext.h>`

## Public Member Functions

| PSmartNotifieeRegistrar ()
| ~PSmartNotifieeRegistrar ()
void | Init (void *obj)
unsigned | GetID () const

## Static Public Member Functions

static unsigned | RegisterNotifiee (void *obj)
static PBoolean | UnregisterNotifiee (unsigned id)
static PBoolean | UnregisterNotifiee (void *obj)
static void * | GetNotifiee (unsigned id)

## Protected Attributes

unsigned | m_ID

## Detailed Description

Implements a function similar to the PNotifier, but uses an "id" to link the caller and callee rather than using a pointer.

This has the advantage that if the pointer becomes invalid, the caller can gracefully fail the notification rather than simply crashing due to an invalid pointer access.

These classes were created to support of the XMPP classes

## Constructor & Destructor Documentation

PSmartNotifieeRegistrar::PSmartNotifieeRegistrar | ( |  | ) |

inline

PSmartNotifieeRegistrar::~PSmartNotifieeRegistrar | ( |  | ) |

inline

References m_ID, and UnregisterNotifiee().

## Member Function Documentation

unsigned PSmartNotifieeRegistrar::GetID | ( |  | ) | const

inline

References m_ID.

static void* PSmartNotifieeRegistrar::GetNotifiee | ( | unsigned | id | ) |

static

Referenced by PSmartNotifierFunction::GetNotifiee().

void PSmartNotifieeRegistrar::Init | ( | void * | obj | ) |

inline

References m_ID, and RegisterNotifiee().

static unsigned PSmartNotifieeRegistrar::RegisterNotifiee | ( | void * | obj | ) |

static

Referenced by Init().

static PBoolean PSmartNotifieeRegistrar::UnregisterNotifiee | ( | unsigned | id | ) |

static

Referenced by ~PSmartNotifieeRegistrar().

static PBoolean PSmartNotifieeRegistrar::UnregisterNotifiee | ( | void * | obj | ) |

static

## Member Data Documentation

unsigned PSmartNotifieeRegistrar::m_ID

protected

Referenced by GetID(), Init(), and ~PSmartNotifieeRegistrar().

The documentation for this class was generated from the following file:

- notifier_ext.h